<template>
<div class="container home-how-we-help-component">
  <div class="row">
    <div class="col-12 ">
      <div class="home-we-help relative">
        <div class="left-form pt-32 pb-44 pl-32">
          <img src="~/static/images/arrow-form.svg"  class="bg-form d-none d-lg-block" alt="">
          <div v-if="isSent" class="relative" style="z-index: 1">
          <h2 class="mb-16">We got your message</h2>
          <p>
            Responsible agent will contact you within 1 hour.
          </p>
          </div>
          <div v-else class="relative" style="z-index: 1">
          <h2 class="mb-16">We are here to help 24/7.</h2>
          <h6>
            Share your phone number...
          </h6>
          <div
              class="relative mb-20"
              :class="{
                    'hasError': $v.phone.$anyError,
                  }"
          >
            <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M11.25 1.6665C11.25 1.6665 13.1945 1.84328 15.6694 4.31815C18.1443 6.79303 18.3211 8.73757 18.3211 8.73757" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>
              <path d="M11.8391 4.61328C11.8391 4.61328 12.6641 4.84898 13.9015 6.08642C15.1389 7.32386 15.3746 8.14882 15.3746 8.14882" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>
              <path d="M12.5839 12.5227L12.0401 12.0062L12.0401 12.0062L12.5839 12.5227ZM12.9635 12.1231L13.5073 12.6396L13.5073 12.6396L12.9635 12.1231ZM14.9774 11.8436L14.6032 12.4936L14.6032 12.4936L14.9774 11.8436ZM16.5694 12.76L16.1953 13.41L16.5694 12.76ZM17.0181 15.632L17.5619 16.1485L17.5619 16.1485L17.0181 15.632ZM15.8343 16.8783L15.2905 16.3618L15.2905 16.3618L15.8343 16.8783ZM14.7302 17.4692L14.8039 18.2156L14.8039 18.2156L14.7302 17.4692ZM6.5128 13.7293L7.05659 13.2128L6.5128 13.7293ZM2.50241 5.80495L1.75348 5.84514L1.75348 5.84514L2.50241 5.80495ZM7.89793 7.08593L8.44173 7.60244L8.44173 7.60244L7.89793 7.08593ZM8.02853 4.74425L8.64093 4.31127L8.64093 4.31127L8.02853 4.74425ZM6.97771 3.25801L6.36532 3.691L6.36532 3.691L6.97771 3.25801ZM4.38454 3.0072L4.92834 3.52372L4.92834 3.52372L4.38454 3.0072ZM3.07654 4.38428L2.53275 3.86776L2.53275 3.86776L3.07654 4.38428ZM9.21927 10.8799L9.76306 10.3634L9.21927 10.8799ZM13.1277 13.0392L13.5073 12.6396L12.4197 11.6066L12.0401 12.0062L13.1277 13.0392ZM14.6032 12.4936L16.1953 13.41L16.9436 12.11L15.3515 11.1936L14.6032 12.4936ZM16.4743 15.1155L15.2905 16.3618L16.3781 17.3949L17.5619 16.1485L16.4743 15.1155ZM14.6566 16.7229C13.4931 16.8377 10.413 16.7464 7.05659 13.2128L5.96901 14.2458C9.69059 18.164 13.2516 18.3688 14.8039 18.2156L14.6566 16.7229ZM7.05659 13.2128C3.84791 9.83467 3.31734 6.99465 3.25133 5.76475L1.75348 5.84514C1.83772 7.41445 2.50328 10.5971 5.96901 14.2458L7.05659 13.2128ZM8.20271 7.85408L8.44173 7.60244L7.35414 6.56941L7.11513 6.82105L8.20271 7.85408ZM8.64093 4.31127L7.59011 2.82503L6.36532 3.691L7.41614 5.17723L8.64093 4.31127ZM3.84075 2.49069L2.53275 3.86776L3.62033 4.9008L4.92834 3.52372L3.84075 2.49069ZM7.65892 7.33756C7.11513 6.82105 7.11443 6.82178 7.11374 6.82251C7.1135 6.82276 7.11281 6.8235 7.11233 6.824C7.11139 6.82501 7.11043 6.82604 7.10945 6.82708C7.10751 6.82918 7.1055 6.83135 7.10345 6.83361C7.09934 6.83813 7.09501 6.84299 7.0905 6.84818C7.08147 6.85856 7.07167 6.8703 7.06128 6.88343C7.0405 6.90969 7.01733 6.94153 6.99323 6.9792C6.94488 7.05475 6.89328 7.15297 6.84984 7.27504C6.76135 7.5237 6.71527 7.84734 6.77358 8.24526C6.88784 9.02507 7.39437 10.0477 8.67547 11.3964L9.76306 10.3634C8.58166 9.1196 8.30802 8.37103 8.25773 8.0278C8.23376 7.8642 8.25931 7.78836 8.26303 7.77792C8.26569 7.77043 8.26533 7.77419 8.2567 7.78768C8.25246 7.79431 8.24627 7.80322 8.2375 7.8143C8.23311 7.81984 8.22808 7.82592 8.22231 7.83255C8.21943 7.83587 8.21636 7.83932 8.2131 7.84291C8.21147 7.8447 8.20979 7.84653 8.20806 7.84839C8.20719 7.84932 8.20632 7.85026 8.20542 7.85121C8.20498 7.85168 8.2043 7.8524 8.20408 7.85264C8.2034 7.85336 8.20271 7.85408 7.65892 7.33756ZM8.67547 11.3964C9.95208 12.7405 10.934 13.2886 11.7048 13.4138C12.1018 13.4783 12.4283 13.4274 12.6797 13.3283C12.8023 13.2799 12.9 13.2228 12.9742 13.1702C13.0113 13.1439 13.0424 13.1188 13.0678 13.0965C13.0805 13.0854 13.0918 13.0749 13.1018 13.0653C13.1068 13.0605 13.1114 13.0559 13.1157 13.0515C13.1179 13.0493 13.12 13.0472 13.122 13.0452C13.123 13.0441 13.124 13.0431 13.1249 13.0421C13.1254 13.0416 13.1261 13.0409 13.1263 13.0406C13.127 13.0399 13.1277 13.0392 12.5839 12.5227C12.0401 12.0062 12.0408 12.0054 12.0415 12.0047C12.0417 12.0045 12.0424 12.0038 12.0429 12.0033C12.0438 12.0024 12.0447 12.0014 12.0455 12.0005C12.0473 11.9987 12.0491 11.9969 12.0508 11.9952C12.0542 11.9917 12.0575 11.9884 12.0607 11.9854C12.0671 11.9792 12.0731 11.9737 12.0786 11.9689C12.0896 11.9592 12.0989 11.952 12.1065 11.9467C12.1217 11.9358 12.1297 11.9327 12.1293 11.9329C12.1293 11.9329 12.1173 11.9377 12.0904 11.9406C12.0635 11.9434 12.0162 11.9447 11.9453 11.9332C11.6494 11.8851 10.949 11.6119 9.76306 10.3634L8.67547 11.3964ZM7.59011 2.82503C6.70368 1.5713 4.92118 1.35319 3.84075 2.49069L4.92834 3.52372C5.30542 3.12672 5.98013 3.1462 6.36532 3.691L7.59011 2.82503ZM3.25133 5.76475C3.23577 5.47486 3.36121 5.1736 3.62033 4.9008L2.53275 3.86776C2.06917 4.35583 1.71032 5.04089 1.75348 5.84514L3.25133 5.76475ZM15.2905 16.3618C15.0716 16.5922 14.8544 16.7033 14.6566 16.7229L14.8039 18.2156C15.4651 18.1504 15.9949 17.7982 16.3781 17.3949L15.2905 16.3618ZM8.44173 7.60244C9.29154 6.70775 9.34892 5.31262 8.64093 4.31127L7.41614 5.17723C7.73555 5.62899 7.68191 6.22433 7.35414 6.56941L8.44173 7.60244ZM16.1953 13.41C16.8117 13.7648 16.9272 14.6386 16.4743 15.1155L17.5619 16.1485C18.707 14.9429 18.372 12.9322 16.9436 12.11L16.1953 13.41ZM13.5073 12.6396C13.7878 12.3443 14.2248 12.2758 14.6032 12.4936L15.3515 11.1936C14.3873 10.6386 13.1885 10.7971 12.4197 11.6066L13.5073 12.6396Z" fill="#0060B7"/>
            </svg>
            <el-input
                placeholder="(___) ___ __ __"
                v-mask="'(###) ### ## ##'"
                v-model="phone"
            ></el-input>
            <p :class="$v.phone.$anyError ? 'd-block' : 'd-none'">*Please enter your phone number</p>

          </div>
          <button @click="send()" class="mt-20">Get help 👋</button>
          </div>
        </div>
        <div class="right-picture d-none d-lg-block">
          <img src="@/static/images/form-right-pic.png" alt="">
        </div>
      </div>
    </div>
  </div>

</div>
</template>

<script>
import {required} from "vuelidate/lib/validators";

export default {
  name: "homeWeHelp",
  data() {
    return {
      phone: '',
      isSent: false
    }
  },

  validations: {
    phone: {required}
  },

  methods: {
    send(){
      this.$v.phone.$touch();
      if (!this.$v.phone.$invalid) {
        let message = `Customer sent phone number: ${this.phone}`

        this.$axios.post(
            `https://api.telegram.org/bot6203938662:AAFRYU-1vYs2s2ZUCRyaDIndRA6uObXTY38/sendMessage?chat_id=-1001700785121&text=${message}`
        )
            .finally(() => {
              this.isSent = true
            });

      }
    }
  }
}
</script>

<style scoped>

</style>
